# <%= props.name %> [![Build Status](https://secure.travis-ci.org/isocket/<%= slugname %>.png?branch=master)](http://travis-ci.org/isocket/<%= slugname %>) [![Coverage Status](<% if (props.private === "yes") { %>https://coveralls.io/repos/isocket/<%= slugname %>/badge.png<% } else { %>https://img.shields.io/coveralls/isocket/<%= slugname %>.svg<%}%>)](https://coveralls.io/r/isocket/<%= slugname %>)

> <%= props.description %>


## Getting Started

<% if (props.private === "yes") { %>

This is a private module, which means it is not published to npm. You must depend on it via its URL.

```json
"dependencies": {
  "<%= slugname %>": "git+ssh://git@github.com:isocket/<%= slugname %>"
}
```

It is **strongly** recommended to lock down the "version" by tags (e.g. "#v0.0.0")

```json
"dependencies": {
  "<%= slugname %>": "git+ssh://git@github.com:isocket/<%= slugname %>#v0.0.0"
}
```

<% } else { %>

Install the module with: `npm install <%= slugname %>`

```js
var <%= safeSlugname %> = require('<%= slugname %>');
<%= safeSlugname %>.awesome(); // "awesome"
```

<% } %>

## Documentation

_(Coming soon)_


## Examples

_(Coming soon)_


## Contributing

In lieu of a formal styleguide, take care to maintain the existing coding style. Add unit tests for any new or changed functionality. Lint and test your code using `npm run test-lint`.

### Testing

Run just the unit tests (fastest)

```bash
npm run test-fast
```

Generate an HTML test coverage report

```bash
npm run test-cov-html
```
